body {
  padding: 0;
  margin: 0;
  overflow: hidden;
}

#unity-container {
  position: absolute;
  width: 100vw;
  height: 100vh;
}

#unity-container.unity-desktop {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
  background: #dddddd;
}
#unity-container.unity-mobile {
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: #dddddd;
}
#unity-canvas {
  background: #dddddd;
  width: 100%;
  height: 100%;
  max-width: 56.25vh; /* 9:16 = 0.5625 → 화면 높이에 비례 */
  max-height: 100vh;
}
.unity-mobile #unity-canvas {
  width: 100%;
  height: 100%;
  max-width: 56.25vh;
  max-height: 100vh;
}
#unity-loading-bar {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: none;
}
#unity-logo {
  width: 154px;
  height: 130px;
  background: url("unity-logo-dark.png") no-repeat center;
}
#unity-progress-bar-empty {
  width: 141px;
  height: 18px;
  margin-top: 10px;
  margin-left: 6.5px;
  background: url("progress-bar-empty-dark.png") no-repeat center;
}
#unity-progress-bar-full {
  width: 0%;
  height: 18px;
  margin-top: 10px;
  background: url("progress-bar-full-dark.png") no-repeat center;
}
#unity-warning {
  position: absolute;
  left: 50%;
  top: 5%;
  transform: translate(-50%);
  background: white;
  padding: 10px;
  display: none;
}
